Pb Compilation Wims-4.22 sous Mac (Homebrew)

Accueil Forums Gestion d’un serveur WIMS Installation d’un serveur WIMS Pb Compilation Wims-4.22 sous Mac (Homebrew)

Vous lisez 6 fils de discussion
  • Auteur
    Messages
    • #6562
      Pascal Denis
      Participant
      Up
      0
      Down

      Bonjour tous,

      je viens de downloader la version 4.22 sur sources, lors de la compilation sous Mac (Homebrew, Big Sur) j’obtiens l’erreur suivante :

      Welcome to the compilation of WIMS (WWW Interactive Multipurpose Server)

      configure.ac:5: warning: The macro `AC_CONFIG_HEADER’ is obsolete.
      configure.ac:5: You should run autoupdate.
      ./lib/autoconf/status.m4:719: AC_CONFIG_HEADER is expanded from…
      configure.ac:5: the top level
      configure.ac:39: warning: AC_PROG_LEX without either yywrap or noyywrap is obsolete
      ./lib/autoconf/programs.m4:716: _AC_PROG_LEX is expanded from…
      ./lib/autoconf/programs.m4:709: AC_PROG_LEX is expanded from…
      configure.ac:39: the top level
      configure.ac:74: warning: AC_CHECK_FUNCS($fun): you should use literals
      ./lib/autoconf/functions.m4:117: AC_CHECK_FUNCS is expanded from…
      configure.ac:74: the top level
      configure.ac:83: warning: AC_CHECK_FUNCS($fun): you should use literals
      ./lib/autoconf/functions.m4:117: AC_CHECK_FUNCS is expanded from…
      configure.ac:83: the top level
      configure.ac:93: warning: AC_CHECK_FUNCS($fun): you should use literals
      ./lib/autoconf/functions.m4:117: AC_CHECK_FUNCS is expanded from…
      configure.ac:93: the top level
      configure.ac:98: warning: AC_CHECK_FUNCS($fun): you should use literals
      ./lib/autoconf/functions.m4:117: AC_CHECK_FUNCS is expanded from…
      configure.ac:98: the top level
      configure.ac:109: warning: The macro `AC_HEADER_STDC’ is obsolete.
      configure.ac:109: You should run autoupdate.
      ./lib/autoconf/headers.m4:704: AC_HEADER_STDC is expanded from…
      configure.ac:109: the top level
      configure.ac:111: warning: The macro `AC_MEMORY_H’ is obsolete.
      configure.ac:111: You should run autoupdate.
      ./lib/autoconf/headers.m4:853: AC_MEMORY_H is expanded from…
      configure.ac:111: the top level
      configure.ac:122: warning: The macro `AC_HEADER_TIME’ is obsolete.
      configure.ac:122: You should run autoupdate.
      ./lib/autoconf/headers.m4:743: AC_HEADER_TIME is expanded from…
      configure.ac:122: the top level
      configure.ac:145: warning: The macro `AC_TYPE_SIGNAL’ is obsolete.
      configure.ac:145: You should run autoupdate.
      ./lib/autoconf/types.m4:776: AC_TYPE_SIGNAL is expanded from…
      configure.ac:145: the top level
      configure: error: cannot find required auxiliary files: config.guess config.sub

      N.B. La version que j’utilisais jusqu’à ce jour est la WIMS-4.21f compilé le 2021-05-31

    • #6563
      Pascal Denis
      Participant
      Up
      0
      Down

      Pas de soucis de compilation sous MacPort (version Catalina).

    • #6567
      Pascal Denis
      Participant
      Up
      0
      Down

      problème identique après installation de MacPort (Bigsur. 2.7.1)

    • #6572
      bernadette
      Maître des clés
      Up
      0
      Down

      Normalement, avec la release, autoconf n’est pas appelé. As-tu pris la version svn ?

      Bernadette

    • #6577
      Pascal Denis
      Participant
      Up
      0
      Down

      j’ai pris la version disponible sur sources : https://sourcesup.renater.fr/frs/download.php/file/6413/wims-4.22.tgz

      Ce qui m’inquiète c’est que ça ne passe pas ni avec Homebrew, ni MacPort. La version 4-21f est OK mais pas la 4.21g si cela peut vous aider.

    • #6578
      Pascal Denis
      Participant
      Up
      0
      Down

      Effectivement la présence du fichier .wims_maintainer_mode rend la compilation impossible. Une fois retiré, tout ce passe parfaitement bien.

    • #6579
      bernadette
      Maître des clés
      Up
      0
      Down

      En effet, cette présence fait recalculer le fichier configure (uniquement pour développeurs).

      Il faudra cependant que je règle le problème des mises à jour de l’usine à gaz autoconf ! On avait vu des solutions (mais c’est vraiment une usine à gaz, alors que la seule chose qui change d’une fois à l’autre est … le numéro de version !).

      Bernadette

Vous lisez 6 fils de discussion
  • Vous devez être connecté pour répondre à ce sujet.